;---------;
; Engines ;
;---------;

;
; Engine Smokey
;

Engine							ENGINE_SMOKEY

EngineGears						2
;Ratios							1st		2nd		3rd		4th		5th		6th
EngineGearRatio					3.82	2.15	1.56	1.21	0.97	0.75
EngineFinalDriveRatio			3.44
EngineReverseGearRatio			7.64

EngineDriveType					1
EngineTurnForce					50.0
EngineEfficiency				0.85

;Torque RPM						0	1000	2000	3000	4000	5000	6000	7000	8000	9000	10000	11000	12000	13000	14000	15000
EngineTorque					0.0	240.0	340.0	500.0	535.0	525.0	455.0	350.0	270.0	200.0	140.0	80.0	0.0		0.0		0.0		0.0

EngineDragCoefficient			0.3
EngineTyreRollResistance		0.0134

EngineIdleRPM					1000.0
EngineMaxRPM					8000.0
EngineAutomaticChangeUpRPM		7000.0
EngineAutomaticChangeDownRPM	3000.0

;Dimensions						Width	Height	Length
EngineDimensions				1486.0	1340.0	3922.0
EngineFrontalArea				0.0
EngineWheelBase					2853.0
EngineFrontTrackBase			1604.0
EngineRearTrackBase				1604.0

;EngineCGHeight					0.508
EngineWeight					1500.0
;EngineWeightDistribution		0.5

;								Width (mm)	Ratio	Rim (inch)
EngineFrontTyre					225.0		40.0	18.0
EngineRearTyre					285.0		30.0	18.0

EngineFrontBrakeDisipation		75000.0
EngineRearBrakeDisipation		75000.0

EngineTurnSpeed					2.094395
EngineMaxWheelTurnAngle			0.872665
EngineSteeringDampenVelocity	0.0

EngineSuspensionKp				50000.0
EngineSuspensionKd				7000.0

EngineClutchSlip				0.75
EngineClutchDelay				0.083333


